Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 595907 - Add padding field to request_list structure
Summary: Add padding field to request_list structure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vivek Goyal
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 21:44 UTC by Vivek Goyal
Modified: 2010-11-10 20:55 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32-32.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:55:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vivek Goyal 2010-05-25 21:44:04 UTC
Description of problem:

Add a padding field to request_list structure. I am expecting there will
be more development in IO controller in RHEL6 life cycle and this structure
should get modified for per group request descriptors and that will break
kABI.

So adding padding can help backporting new functionality at the same time
preserve kabi.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 RHEL Program Management 2010-06-01 21:06:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Aristeu Rozanski 2010-06-03 20:00:56 UTC
Patch(es) available on kernel-2.6.32-32.el6

Comment 7 Mike Gahagan 2010-10-06 19:48:31 UTC
Confirmed we have redhat_reserved padding in the request_list structure (include/linux/blkdev.h)

Comment 8 releng-rhel@redhat.com 2010-11-10 20:55:10 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.